Create or update an array of product lines

put

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLines

Creates or updates the supplied array of product lines in a single request.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Minimum Number of Items: 1
Maximum Number of Items: 50
The product lines resource.
Show Source
Nested Schema : ProductLineOracle
Title: ProductLineOracle
Match All
Show Source
  • ProductLine
    Title: ProductLine
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductLine":"#/components/schemas/ProductLine", "ProductLineOracle":"#/components/schemas/ProductLineOracle" } }
    The entity that groups product offerings.
  • type
Nested Schema : ProductLine
Type: object
Title: ProductLine
Discriminator: @type

Discriminator Values

The entity that groups product offerings.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : compatibilityRules
Type: array
A list of compatibility rules associated with the product line.
Show Source
Nested Schema : productOffering
Type: array
A list of product offerings associated with the product line.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : CompatibilityRulesOracle
Type: object
Title: CompatibilityRulesOracle
Specifies the compatibility rule for the offer.
Show Source
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : ProductOfferingRefOracle
Title: ProductOfferingRefOracle
Match All
Show Source
  • ProductOfferingRef
    Title: ProductOfferingRef
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef", "BundledProductOffering":"#/components/schemas/BundledProductOffering", "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle", "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle" } }
    The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
  • ProductOfferingRefOracle-allOf[1]
Nested Schema : ProductOfferingRef
Type: object
Title: ProductOfferingRef
Discriminator: @type

Discriminator Values

The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Show Source
Nested Schema : ProductOfferingRefOracle-allOf[1]
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

The list of product lines was created or updated successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : ProductLineOracle
Title: ProductLineOracle
Match All
Show Source
  • ProductLine
    Title: ProductLine
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductLine":"#/components/schemas/ProductLine", "ProductLineOracle":"#/components/schemas/ProductLineOracle" } }
    The entity that groups product offerings.
  • type
Nested Schema : ProductLine
Type: object
Title: ProductLine
Discriminator: @type

Discriminator Values

The entity that groups product offerings.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : compatibilityRules
Type: array
A list of compatibility rules associated with the product line.
Show Source
Nested Schema : productOffering
Type: array
A list of product offerings associated with the product line.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : CompatibilityRulesOracle
Type: object
Title: CompatibilityRulesOracle
Specifies the compatibility rule for the offer.
Show Source
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : ProductOfferingRefOracle
Title: ProductOfferingRefOracle
Match All
Show Source
  • ProductOfferingRef
    Title: ProductOfferingRef
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef", "BundledProductOffering":"#/components/schemas/BundledProductOffering", "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle", "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle" } }
    The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
  • ProductOfferingRefOracle-allOf[1]
Nested Schema : ProductOfferingRef
Type: object
Title: ProductOfferingRef
Discriminator: @type

Discriminator Values

The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Show Source
Nested Schema : ProductOfferingRefOracle-allOf[1]
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : Discriminator: @type
Type: object
Discriminator: @type

Discriminator Values

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to create or update an array of product line by submitting a put request on the REST resource using cURL.

cURL Command

curl -u username:password -X PUT https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLines/ -H 'Content-Type: application/json' -D @put_productlines.json | json_pp

Example of Request Body

The following shows an example of the request body in JSON format.

[
    {
        "@type": "ProductLineOracle",
        "@baseType": "ProductLine",
        "id": "TelecomProductline_Y2021_001",
        "name": "TelecomProductline_Y2021_001",
        "version": "1.0",
        "description": "ProductLine129 description up",
        "lifecycleStatus": "In design",
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        }
    },
    {
        "@type": "ProductLineOracle",
        "@baseType": "ProductLine",
        "id": "TelecomProductline_Y2021_002",
        "name": "TelecomProductline_Y2021_002",
        "version": "1.0",
        "description": "ProductLine129 description up",
        "lifecycleStatus": "In design",
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project"
        }
    }
]

Example of Response Body

The following shows an example of the response body in JSON format.

[
    {
        "id": "TelecomProductline_Y2021_001",
        "name": "TelecomProductline_Y2021_001",
        "description": "ProductLine129 description up",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLines/TelecomProductline_Y2021_001",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "ProductLineOracle",
        "@baseType": "ProductLine",
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        }
    },
    {
        "id": "TelecomProductline_Y2021_002",
        "name": "TelecomProductline_Y2021_002",
        "description": "ProductLine129 description up",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLines/TelecomProductline_Y2021_002",
        "version": "1.0",
        "lifecycleStatus": "In design",
        "@type": "ProductLineOracle",
        "@baseType": "ProductLine",
        "project": {
            "id": "BulkDocProject",
            "name": "Bulk Doc Project",
            "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/project/BulkDocProject"
        }
    }
]
Back to Top